Bug 134828 - blank change notification for bug B sent when bug A, depending on B, changes; or, when tracker state closes, dependencies get empty bugspam
blank change notification for bug B sent when bug A, depending on B, changes;...
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 11:42 EDT by Daniel Reed
Modified: 2013-06-23 22:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 14:46:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Reed 2004-10-06 11:42:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040929
Firefox/0.10

Description of problem:
In a dependency tree where bug A blocks on bug B (and bug C, bug D,
etc.), such as:

 A
 |
 `+- B
  |
  +- C
  |
  `- D

If C is removed from the dependency tree, bugspam is sent to people
watching bug A notifying them of the change. This is is correct.

However, if C is removed from the dependency tree under A, bugspam is
*also* sent to people watching bugs B and D with nothing in the
"changed" section.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
I was able to reproduce this by removing bugs 131461 and 131466 from
131451's dependencies at the same time as I closed 131451 RAWHIDE. I
am not sure which change causes the empty bugspam to be sent to me for
each of 131451's continuing dependencies.

Additional info:
Comment 1 David Lawrence 2006-04-08 13:54:11 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 2 David Lawrence 2008-09-16 12:51:17 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 3 David Lawrence 2008-12-01 14:46:47 EST
Please reopen this issue if it is still occurring in the latest release of Bugzilla.

Note You need to log in before you can comment on or make changes to this bug.